# Generated by Django 4.2.2 on 2023-07-01 13:45

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    replaces = [('dashboard', '0010_alter_project_start_date_alter_task_start_date'), ('dashboard', '0011_sprint'), ('dashboard', '0012_rename_end_date_sprint_end_sprint'), ('dashboard', '0013_alter_project_start_date_alter_sprint_start_sprint_and_more'), ('dashboard', '0014_alter_sprint_start_sprint'), ('dashboard', '0015_alter_sprint_start_sprint'), ('dashboard', '0016_alter_project_start_date_alter_sprint_start_sprint_and_more'), ('dashboard', '0017_alter_project_start_date_alter_sprint_start_sprint_and_more'), ('dashboard', '0018_sprint_name_alter_project_start_date_and_more'), ('dashboard', '0019_alter_project_start_date_alter_sprint_name_and_more')]

    dependencies = [
        ('dashboard', '0001_squashed_0009_task_time_spent'),
    ]

    operations = [
        migrations.AlterField(
            model_name='project',
            name='start_date',
            field=models.DateField(auto_now=True),
        ),
        migrations.AlterField(
            model_name='task',
            name='start_date',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AlterField(
            model_name='project',
            name='start_date',
            field=models.DateField(auto_now_add=True),
        ),
        migrations.AlterField(
            model_name='task',
            name='start_date',
            field=models.DateTimeField(auto_now_add=True),
        ),
        migrations.AlterField(
            model_name='project',
            name='start_date',
            field=models.DateField(default=datetime.datetime(2023, 6, 29, 6, 15, 18, 858182, tzinfo=datetime.timezone.utc)),
        ),
        migrations.AlterField(
            model_name='task',
            name='start_date',
            field=models.DateTimeField(default=datetime.datetime(2023, 6, 29, 6, 15, 18, 859055, tzinfo=datetime.timezone.utc)),
        ),
        migrations.AlterField(
            model_name='project',
            name='start_date',
            field=models.DateField(default=datetime.datetime(2023, 6, 29, 6, 15, 31, 906544, tzinfo=datetime.timezone.utc)),
        ),
        migrations.AlterField(
            model_name='task',
            name='start_date',
            field=models.DateTimeField(default=datetime.datetime(2023, 6, 29, 6, 15, 31, 907453, tzinfo=datetime.timezone.utc)),
        ),
        migrations.AlterField(
            model_name='project',
            name='start_date',
            field=models.DateField(default=datetime.datetime(2023, 6, 30, 5, 24, 16, 37765, tzinfo=datetime.timezone.utc)),
        ),
        migrations.AlterField(
            model_name='task',
            name='start_date',
            field=models.DateTimeField(default=datetime.datetime(2023, 6, 30, 5, 24, 16, 38974, tzinfo=datetime.timezone.utc)),
        ),
        migrations.AlterField(
            model_name='project',
            name='start_date',
            field=models.DateField(default=datetime.datetime(2023, 6, 30, 5, 26, 28, 317586, tzinfo=datetime.timezone.utc)),
        ),
        migrations.CreateModel(
            name='Sprint',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_sprint', models.DateTimeField(default=datetime.datetime(2023, 6, 30, 5, 26, 28, 319120, tzinfo=datetime.timezone.utc))),
                ('end_sprint', models.DateTimeField()),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_sprint', to='dashboard.project')),
                ('task', models.ManyToManyField(related_name='task_sprint', to='dashboard.task')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='task',
            name='start_date',
            field=models.DateTimeField(default=datetime.datetime(2023, 6, 30, 5, 26, 28, 318568, tzinfo=datetime.timezone.utc)),
        ),
    ]
